> For the complete documentation index, see [llms.txt](https://docs.floui.io/guia/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.floui.io/guia/conectores/categorias/servicos-externos/wake-commerce/fabricante/consultar-fabricante.md).

# Consultar fabricante

Consulte os dados de um fabricante cadastrado na loja virtual Wake Commerce.

{% tabs %}
{% tab title="Parâmetros" %}

<table><thead><tr><th width="240">Campo</th><th width="130">Tipo</th><th>Descrição</th></tr></thead><tbody><tr><td>Descrição</td><td>Campo de texto</td><td>Mensagem visual usada para descrever a funcionalidade do conector dentro do fluxo.</td></tr><tr><td>Token</td><td>Campo de texto</td><td>O token é gerado através da plataforma administrativa do lojista.</td></tr><tr><td>ID ou nome do fabricante</td><td>Campo de texto</td><td>Nome ou identificador único do fabricante cadastrado na loja virtual Wake Commerce.</td></tr><tr><td>Output path</td><td>Campo de texto</td><td>Armazena os dados de saída do conector ao final da execução.</td></tr></tbody></table>
{% endtab %}

{% tab title="Detalhes" %}

## Detalhes

O conector Consultar Fabricante possibilita a consulta dos detalhes de um fabricante específico cadastrado na loja virtual, por meio da API REST.&#x20;

O conector utiliza dois endpoint similares para a consulta do fabricante:

* **GET** `https://api.fbits.net/fabricantes/{fabricanteId}` para consulta com ID do fabricante.
* **GET** `https://api.fbits.net/fabricantes/{nomeFabricante}` para consulta pelo nome do fabricante,

Para mais informações sobre essa e outras APIs disponíveis na Wake Commerce, consulte as Referências de API para [consulta de fabricante pelo nome](https://wakecommerce.readme.io/reference/retorna-um-fabricante-especifico-pelo-nome) e [consulta de fabricante pelo seu identificador](https://wakecommerce.readme.io/reference/retorna-um-fabricante-especifico-pelo-id).
{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.floui.io/guia/conectores/categorias/servicos-externos/wake-commerce/fabricante/consultar-fabricante.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
